Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.common
Class PropertyParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.slide.common.SlideException
                  org.apache.slide.common.PropertyParseException

All Implemented Interfaces:
  java.io.Serializable

public class PropertyParseException
extends SlideException

This exception is thrown if parsing a Property fails for any reason.

Version:
  $Revision: 1.4 $
See Also:
  Serialized Form

Field Summary
`protected java.lang.Throwable` | `cause` The exception that was the cause of this exception (may be `null`)

Fields inherited from class java.lang.Exception
``

Constructor Summary
`PropertyParseException(java.lang.String message)` Creates a PropertyParseException.
`PropertyParseException(java.lang.String message, java.lang.Throwable cause)` Creates a PropertyParseException.

Method Summary
`java.lang.Throwable` | `getCause()` Returns the exception that was the cause of this exception (may be `null`).

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cause

    protected java.lang.Throwable cause

  The exception that was the cause of this exception (may be `null`)

Constructor Detail

### PropertyParseException

    public PropertyParseException(java.lang.String message)

  Creates a PropertyParseException.

Parameters:
  `message` - the message of this exception.

### PropertyParseException

    public PropertyParseException(java.lang.String message,
                                  java.lang.Throwable cause)

  Creates a PropertyParseException.

Parameters:
  `message` - the message of this exception.
  `cause` - the exception that was the cause of this exception.

Method Detail

### getCause

    public java.lang.Throwable getCause()

  Returns the exception that was the cause of this exception (may be `null`).

  Returns:
    the exception that was the cause of this exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD